## com.gargoylesoftware.htmlunit.html
Interface DisabledElement

All Known Implementing Classes:
  HtmlButton, HtmlButtonInput, HtmlCheckBoxInput, HtmlFileInput, HtmlHiddenInput, HtmlImageInput, HtmlInput, HtmlOption, HtmlOptionGroup, HtmlPasswordInput, HtmlRadioButtonInput, HtmlResetInput, HtmlSelect, HtmlSubmitInput, HtmlTextArea, HtmlTextInput

    public interface DisabledElement

A marker interface for those classes that can be disabled.

Version:
  $Revision: 4002 $
Author:
  David D. Kilzer

Method Summary
`java.lang.String` `getDisabledAttribute()` Returns the value of the attribute "disabled".
`boolean` `isDisabled()` Returns `true` if the disabled attribute is set for this element.

Method Detail

### isDisabled

    boolean isDisabled()

  Returns `true` if the disabled attribute is set for this element.

  Returns:
    `true` if the disabled attribute is set for this element

### getDisabledAttribute

    java.lang.String getDisabledAttribute()

  Returns the value of the attribute "disabled". Refer to the HTML 4.01 documentation for details on the use of this attribute.

  Returns:
    the value of the attribute "disabled" or an empty string if that attribute isn't defined

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.